| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TypeInformation Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure TypeInformation defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | TypeInformation ()
| Default constructor.
eProsima_user_DllExport | ~TypeInformation ()
| Default destructor.
eProsima_user_DllExport | TypeInformation (const TypeInformation &x)
| Copy constructor.
eProsima_user_DllExport | TypeInformation (TypeInformation &&x) noexcept
| Move constructor.
eProsima_user_DllExport TypeInformation & | operator= (const TypeInformation &x)
| Copy assignment.
eProsima_user_DllExport TypeInformation & | operator= (TypeInformation &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const TypeInformation &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const TypeInformation &x) const
| Comparison operator.
eProsima_user_DllExport void | minimal (const TypeIdentifierWithDependencies &_minimal)
| This function copies the value in member minimal.
eProsima_user_DllExport void | minimal (TypeIdentifierWithDependencies &&_minimal)
| This function moves the value in member minimal.
eProsima_user_DllExport const TypeIdentifierWithDependencies & | minimal () const
| This function returns a constant reference to member minimal.
eProsima_user_DllExport TypeIdentifierWithDependencies & | minimal ()
| This function returns a reference to member minimal.
eProsima_user_DllExport void | complete (const TypeIdentifierWithDependencies &_complete)
| This function copies the value in member complete.
eProsima_user_DllExport void | complete (TypeIdentifierWithDependencies &&_complete)
| This function moves the value in member complete.
eProsima_user_DllExport const TypeIdentifierWithDependencies & | complete () const
| This function returns a constant reference to member complete.
eProsima_user_DllExport TypeIdentifierWithDependencies & | complete ()
| This function returns a reference to member complete.

## Detailed Description

This class represents the structure TypeInformation defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ TypeInformation() [1/3]

eProsima_user_DllExport TypeInformation | ( |  | ) |

inline

Default constructor.

## ◆ ~TypeInformation()

eProsima_user_DllExport ~TypeInformation | ( |  | ) |

inline

Default destructor.

## ◆ TypeInformation() [2/3]

eProsima_user_DllExport TypeInformation | ( | const TypeInformation & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object TypeInformation that will be copied.

## ◆ TypeInformation() [3/3]

eProsima_user_DllExport TypeInformation | ( | TypeInformation && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object TypeInformation that will be copied.

## Member Function Documentation

## ◆ complete() [1/4]

eProsima_user_DllExport TypeIdentifierWithDependencies & complete | ( |  | ) |

inline

This function returns a reference to member complete.

Returns
  Reference to member complete

## ◆ complete() [2/4]

eProsima_user_DllExport const TypeIdentifierWithDependencies & complete | ( |  | ) | const

inline

This function returns a constant reference to member complete.

Returns
  Constant reference to member complete

## ◆ complete() [3/4]

eProsima_user_DllExport void complete | ( | const TypeIdentifierWithDependencies & | _complete | ) |

inline

This function copies the value in member complete.

Parameters

  _complete | New value to be copied in member complete

## ◆ complete() [4/4]

eProsima_user_DllExport void complete | ( | TypeIdentifierWithDependencies && | _complete | ) |

inline

This function moves the value in member complete.

Parameters

  _complete | New value to be moved in member complete

## ◆ minimal() [1/4]

eProsima_user_DllExport TypeIdentifierWithDependencies & minimal | ( |  | ) |

inline

This function returns a reference to member minimal.

Returns
  Reference to member minimal

## ◆ minimal() [2/4]

eProsima_user_DllExport const TypeIdentifierWithDependencies & minimal | ( |  | ) | const

inline

This function returns a constant reference to member minimal.

Returns
  Constant reference to member minimal

## ◆ minimal() [3/4]

eProsima_user_DllExport void minimal | ( | const TypeIdentifierWithDependencies & | _minimal | ) |

inline

This function copies the value in member minimal.

Parameters

  _minimal | New value to be copied in member minimal

## ◆ minimal() [4/4]

eProsima_user_DllExport void minimal | ( | TypeIdentifierWithDependencies && | _minimal | ) |

inline

This function moves the value in member minimal.

Parameters

  _minimal | New value to be moved in member minimal

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const TypeInformation & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeInformation object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport TypeInformation & operator= | ( | const TypeInformation & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object TypeInformation that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport TypeInformation & operator= | ( | TypeInformation && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object TypeInformation that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const TypeInformation & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeInformation object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp